/*----------明るさセンサ（フォトトランジスタ）----------                 
 * 【使用方法】
 *  周りの明るさに応じて0～1023の間で変化するセンサ
 *    
 * 【命令】
 *  明るさを測る >> akarusa();
 *  
 * 【例】
 *  明るさを測って暗かったら（500以下なら）ヘッドライトON
 *  if(akarusa()<=500){
 *    Head_Light(power2);
 *  }
 *  else{
 *    Head_Light(OFF);
 *  }
 */
 
unsigned int akarusa(unsigned int brightness_value_TH){
  static int brightness_value;
  brightness_value = analogRead(BRIGHTNESS_SENSOR);
  if(brightness_value_TH == 0){
    brightness_value = brightness_value;
  }
  else if(brightness_value > brightness_value_TH){
    brightness_value = 0;  
  }
  else{
    brightness_value = 1;  
  }
  return brightness_value;
}

void akarusa(unsigned int brightness_value_TH , char test){
  static int brightness_value;
  brightness_value = analogRead(BRIGHTNESS_SENSOR);
  Serial.print("明るさ：");
  Serial.print(brightness_value);
  if(brightness_value == 0){
    brightness_value = brightness_value;
  }
  else if(brightness_value > brightness_value_TH){
    brightness_value = 0;  
  }
  else{
    brightness_value = 1;  
  }
  Serial.print("\t結果：");
  Serial.println(brightness_value);  
}
