/*----------バンパー（マイクロスイッチ）----------                 
 * 【使用方法】
 *  バンパーが押されているか調べる
 *  両方がぶつかると「3」。
 *  右がぶつかると「2」。
 *  左がぶつかると「1」。が返される。
 *    
 * 【命令】
 *  バンパーの状態を調べる >> Bumper();
 *                          　                                    
 * 【例】
 *  直進してバンパーが当たったら0.5秒逆方向の後ろに下がる。
 *  switch(Bamper()){
      case 3: 
         hasiru(sayuu, mae);
         delay(500);
         hasiru(sayuu, OFF);
         delay(50);
         break;
      case 2: 
         hasiru(migi, usiro);
         delay(500);
         hasiru(sayuu, OFF);
         delay(50);
         break;
      case 1: 
         hasiru(hidari, usiro);
         delay(500);
         hasiru(sayuu, OFF);
         delay(50);
         break;
      default: 
         hasiru(sayuu, mae);
         break;      
    }
 */

char kabe(void){
  return Bamper();
}

//Micro Switch1-------------------------------------
char Bamper(){
  unsigned char i = 0;
  if(Sw_Bounse(MICRO_SW_L) == LOW){
    for(int i=0 ; i<25 ; i++){
      if(Sw_Bounse(MICRO_SW_R) == LOW){
        return 3;
      }    
      delay(1);
    }
    return 2;
  }
  else if(Sw_Bounse(MICRO_SW_R) == LOW){
    for(int i=0 ; i<25 ; i++){
      if(Sw_Bounse(MICRO_SW_L) == LOW){
        return 3;
      }    
      delay(1);
    }
    return 1;
  }
  else{
      return 0;    
  }
}
