#include <MsTimer2.h>
//OUTPUT
#define HEAD_LIGHT          9           //Led
#define BACK_LIGHT          10
#define RIGHT_TURN_SIG      8
#define LEFT_TURN_SIG       11
#define ON_BOARD_LED        13
#define SPEAKER             12          //Speaker
#define MOTOR_SIG_A1        2           //Motor
#define MOTOR_SIG_A2        4
#define MOTOR_SIG_APWM      5
#define MOTOR_SIG_B1        3
#define MOTOR_SIG_B2        7
#define MOTOR_SIG_BPWM      6

//INPUT
#define MIC_SENSOR           0          //Mic
#define BRIGHTNESS_SENSOR    1          //Brightness
#define TEMP_SENSOR          2          //Temperature
#define VARIABLE_RES1        6          //Variable resistance
#define VARIABLE_RES2        7          
#define TACTILE_SW1          13         //Tactile SW
#define TACTILE_SW2          17
#define MICRO_SW_R           19      //Micro SW
#define MICRO_SW_L           18

//Define Words
#define YES 1
#define NO  0

//
static int  active_led = 0;
static int  one_sec_counter = 0; 
static int  sw_release_flag = NO;

const char ON_3 = 3;
const char ON_2 = 2;
const char ON_1 = 1;
const char ON = 3;
const char OFF = 0;

const char sayuu = 3;
const char migi = 2;
const char hidari = 1;
const char RL = 3;
const char R = 2;
const char L = 1;
const char mae = 4;
const char usiro = 3;
const char teisi = 2;

const char do_1 = 1, re_1 = 2, mi_1 = 3, fa_1 = 4, so_1 = 5, ra_1 = 6, si_1 = 7;
const char do_2 = 8, re_2 = 9, mi_2 = 10, fa_2 = 11, so_2 = 12, ra_2 = 13, si_2 = 14;
unsigned char uinka = 0;

static int CHATTERING_WAIT_TIME = 25;              //チャタリング退避時間[us]
static int DOUBLE_TAP_WAIT_TIME = 2500;            //ダブルタップ検出とする回数[100us/回]
static char jyouhou = OFF;                         //ロボットのコンディション表示（デフォルトOFF）
 
void loop() {
/*
  Serial.print("マイク："); Serial.print(mic_val);    Serial.print("\t");
  Serial.print("明るさ："); Serial.print(brightness_val);    Serial.print("\t");
  Serial.print("気温　："); Serial.print(temp_val);    Serial.print("\t");
  Serial.print("調整器1：");  Serial.print(variable_res1_val);    Serial.print("\t");
  Serial.print("調整器2：");  Serial.print(variable_res2_val);    Serial.print("\t");
  Serial.print("タクトSW1：");  Serial.print(tactile_sw1_val);    Serial.print("\t");
  Serial.print("タクトSW2：");  Serial.print(tactile_sw2_val);    Serial.print("\t");
  Serial.print("マイクロSW1：");  Serial.print(micro_sw_r_val);    Serial.print("\t");
  Serial.print("マイクロSW2：");  Serial.print(micro_sw_l_val);
  Serial.print("\n");
*/  
  main_loop();
  //Active LED (D13_OnBoardLed)--------------------------
  if(active_led == 0){
    //active_led = 1;
    digitalWrite(ON_BOARD_LED, HIGH);
  }else{
    //active_led = 0;
    digitalWrite(ON_BOARD_LED, LOW);
  }
}

 
