/*----------テールライト（赤LED）----------                 
 * 【使用方法】
 *  プログラムでテールライトを点灯したいときに命令を実行する。
 *  明るさは、強 > 中 > 弱 > 消灯
 *  
 * 【命令】
 *  テールライトを点灯（強）          >> raito_aka(POWER3);
 *  テールライトを点灯（中）          >> raito_aka(POWER2);
 *  テールライトを点灯（弱）          >> raito_aka(POWER1);
 *  テールライトを消灯               >> raito_aka(OFF);
 *  
 */
void raito_aka(unsigned char value){
  static int  back_light_pwr = 0;
  if(value == ON){
    back_light_pwr = 255;
  }
  else if(value == ON_3){
    back_light_pwr = 255;
  }
  else if(value == ON_2){
    back_light_pwr = 50;
  }
  else if(value == ON_1){
    back_light_pwr = 10; 
  }
  else if(value == OFF){
    back_light_pwr = 0; 
  }
  else{
    back_light_pwr = 0;
  }
  analogWrite(BACK_LIGHT, back_light_pwr);
}
